INSTALL-INFO(8)

NAME
install-info - create or update entry in Info directory

SYNOPSIS
install-info [--version] [--help] [--debug] [--maxwidth=nnn] [--section regexp title] [--infodir=xxx] [--align=nnn] [--quiet] [--menuentry=xxx] [--description=xxx] [--remove] [--] filename

DESCRIPTION

install-info makes, updates or removes entries in the Info directory, the dir file. When updating or creating entries, if no description is specified on the command line or in the Info file it attempts to guess a description from the contents of the file. See the description of the --section option for details of where the entry will be placed and a description of the expected format of the dir file.

  OPTIONS

[--] filename
    Gives the filename of the Info file whose menu entry is to be created, updated or removed. The basename of this filename is used as the referent of the menu entry which is created. This file must therefore exist (or be about to be installed, or have previously existed when removing an entry) in the same directory as the dir file (see the --infodir option). If filename ends in .gz it is taken to refer to a file compressed with GNU gzip; if it doesn't exist, but a corresponding filename.gz does, the latter is used instead. When adding or updating entries the file must exist at the path specified (possibly with an additional .gz extension).

--remove
    Specifies that the entry for the file filename is to be removed; by default entries are created or updated. If the removal results in a section becoming empty the section heading (and the spare blank line) will be removed as well, unless this is the last section in the file or --keep-old is specified. See the --section option for details about the expected format of the dir file. If there are several suitable entries in the dir file only those in the first matching contiguous group will be removed and the others silently ignored. It is not an error for no suitable entry to be found, though install-info will issue a warning unless the --quiet option was specified. When --remove is specified the --maxwidth, --align and --calign formatting options are silently ignored.

--section regexp title
    Specifies that, if a new entry is to be made, it should be placed in a section of the dir file whose title matches regexp. If no such section exists one will be created as the second last section in the file (see below), with title title. A section is a part of the dir menu delimited by blank lines; the first line is assumed to be the title. If a new entry is to be created install-info will attempt to insert it within the section according in alphabetic order; if the entries in the section aren't already sorted the new location within the section will be unpredictable. The order of existing entries will not be changed. The default is to append new entries to the end of the file. The last section (even if it only consists of the title line) should always exist, to ensure that new sections are created in the right place. The final section should be titled to reflect the fact that Info files with no more well specified location are appended to it. If there is already an entry for the Info file being installed it is replaced in situ with the new entry. If a section is specified when removing an entry the section is ignored and a warning is issued. If a section is requested when adding an entry but the file contains no section headings at all then install-info will create both the requested section and a Miscellaneous section at the end of the file.

--infodir=infodir
    Specifies that the dir file is, and the installed copy of the new Info file was, is or will be located in infodir. The default is /usr/info.

--align=nnn
    Specifies that the first line of the description should be indented at least nnn characters; extra spaces will be added as required. If necessary because of the length of the dir menu entry details it may be offset more. The default is 27.

--calign=nnn
    Specifies that the second and subsequent lines of the description should be indented at least nnn characters. The default is 29.

--maxwidth=nnn
    Specifies that the maximum width for the Info file is nnn. This is used when wordwrapping the descriptive text. The default is 79.

--quiet
    Prevents the usual display of the new menu entry just before it is inserted, and of the messages announcing the replacement and removal of existing entries and the creation and deletion of sections.

--help
    Causes install-info to display its usage information and exit.

--version
    Causes install-info to display its version and copyright information and exit.

--description=xxx
    Specifies that the description to use after the menu entry in new or updated entries be xxx. The default is to use the the value specified in the Info file itself; this is found by searching for a section of the form
    START-INFO-DIR-ENTRY
    * Auto-PGP: (auto-pgp). PGP under GNU Emacs.
    END-INFO-DIR-ENTRY If the entry found in the Info file itself extends across several lines, each giving a menu entry, the text found in the file is used verbatim. In this case the alphabetic ordering scheme is turned off, and the entries are inserted at the top of section in question. In this case the --menuentry, --maxwidth, --align, --calign and --menuentry options are ignored. If there is no dir entry in the file the program will try to find a paragraph early in the file starting this file documents. It will capitalise the first character of the remainder, and use that. It is an error for none of these methods to yield a description. If a description argument is given when --remove is specified it is ignored and a warning is issued.

--menuentry=xxx
    Specifies that the entry in the menu should be xxx. The default is to use the the value specified in the Info file itself. If this is not present the basename of the Info file is used (any .info is deleted, and the entry is made mixed case). See above for details of the format expected for the menu entry in the Info file. When removing entries the value of the --menuentry option must match the actual menu entry field in the menu item to be removed (case not significant). If --menuentry is omitted no check on the menu entry is done.

--keep-old
    Inhibits the replacement of existing entries and the removal of empty sections. If the file being installed alreay has an entry in the directory the old entry will be left alone instead of being replaced; the default is to overwrite any old entry found with the newly generated one. If --remove is specified --keep-old will prevent the removal of the section heading which would otherwise happen if the section is made empty by the removal.

--test
    Enables test mode, which inhibits the update of the directory file.

--debug
    Enables debugging mode, in which the results of some internal processing steps are shown.

SEE ALSO
emacs(1), info(1), gzip(1)

COPYRIGHT
Copyright 1994, Ian Jackson. install-info is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.